tbb::interface6::internal::aggregating_functor< aggregating_class, operation_list > Class Template Reference

`#include <_aggregator_impl.h>`

Collaboration diagram for tbb::interface6::internal::aggregating_functor< aggregating_class, operation_list >:

## Public Member Functions

| aggregating_functor ()
| aggregating_functor (aggregating_class *fi_)
void | operator() (operation_list *op_list)

## Private Attributes

aggregating_class * | fi

## Detailed Description

### template<typename aggregating_class, typename operation_list>
class tbb::interface6::internal::aggregating_functor< aggregating_class, operation_list >

Definition at line 160 of file _aggregator_impl.h.

## Constructor & Destructor Documentation

## aggregating_functor() [1/2]

template<typename aggregating_class , typename operation_list >

tbb::interface6::internal::aggregating_functor< aggregating_class, operation_list >::aggregating_functor | ( |  | ) |

inline

Definition at line 163 of file _aggregator_impl.h.

: fi() {}
tbb::interface6::internal::aggregating_functor::fi
aggregating_class * fi
Definition: _aggregator_impl.h:161

## aggregating_functor() [2/2]

template<typename aggregating_class , typename operation_list >

tbb::interface6::internal::aggregating_functor< aggregating_class, operation_list >::aggregating_functor | ( | aggregating_class * | fi_ | ) |

inline

Definition at line 164 of file _aggregator_impl.h.

: fi(fi_) {}

## Member Function Documentation

## operator()()

template<typename aggregating_class , typename operation_list >

void tbb::interface6::internal::aggregating_functor< aggregating_class, operation_list >::operator() | ( | operation_list * | op_list | ) |

inline

Definition at line 165 of file _aggregator_impl.h.

{ fi->handle_operations(op_list); }

## Member Data Documentation

## fi

template<typename aggregating_class , typename operation_list >

aggregating_class* tbb::interface6::internal::aggregating_functor< aggregating_class, operation_list >::fi

private

Definition at line 161 of file _aggregator_impl.h.

The documentation for this class was generated from the following file:

- _aggregator_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.